{ pkgs
, lib
, config
, ... }: with lib; {
  imports = [ ./catppuccin/home.nix ];

  config = mkIf config.passthrough.gui {
    # cursor theme
    home.pointerCursor = mkDefault {
      package = pkgs.bibata-cursors;
      name = "Bibata-Modern-Classic";
      size = 24;
    };

    # gtk theme
    gtk.theme = mkDefault {
      package = pkgs.whitesur-gtk-theme;
      name = "WhiteSur-Dark";
    };

    # gtk icons
    gtk.iconTheme = mkDefault {
      package = pkgs.papirus-icon-theme;
      name = "Papirus-Dark";
    };

    # unify qt theme
    qt.platformTheme.name = mkDefault "gtk";

    gtk.enable = mkDefault true;
    qt.enable = mkDefault true;
  };
}
